Bug 1265850 - Zenity crashes with coredump when doubleclicking quickly 2 (or more) items in a list
Zenity crashes with coredump when doubleclicking quickly 2 (or more) items in...
Status: NEW
Product: Fedora
Classification: Fedora
Component: zenity (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 18:46 EDT by maarten
Modified: 2017-07-12 07:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:00:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description maarten 2015-09-23 18:46:25 EDT
Description of problem:
Zenity crashes if you double click two times (or more)
on the same or another item in a list.

Version-Release number of selected component (if applicable):
3.16.3-1.fc22

How reproducible:
99.9%

Steps to Reproduce:
1.
Run
find  /tmp  2>/dev/null |  zenity --list --title "Contents" --text "Files" --column "files"
2.
Quickly double click on 2 items

Actual results: (I clicked on /tmp)
/tmp

(zenity:10420): Gtk-CRITICAL **: gtk_list_store_get_value: assertion 'column < priv->n_columns' failed

(zenity:10420): GLib-GObject-CRITICAL **: g_value_dup_string: assertion 'G_VALUE_HOLDS_STRING (value)' failed

(zenity:10420): GLib-GObject-CRITICAL **: g_value_unset: assertion 'G_IS_VALUE (value)' failed
(null)

Expected results:
/tmp

Additional info:
This is probably a race condition since the  depends on the speed of double clicking the items and how much items you are able to double click.
The depth of the backtrace varies between 29 and 64 levels.
Comment 1 Fedora End Of Life 2016-07-19 14:00:11 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 maarten 2016-07-27 09:23:57 EDT
Still happens on Fedora 24

zenity-3.20.0-1.fc24.x86_64

Steps to Reproduce:
1.
Run
find  /usr/bin  2>/dev/null |  zenity --list --title "Contents" --text "Files" --column "files"
2.
Quickly double click on 2 items

Segmentation fault occurs with a high probability.
Comment 3 maarten 2017-07-12 07:49:10 EDT
Still happens on Fedora 26

zenity.x86_64                           3.24.0-1.fc26           @anaconda

Note You need to log in before you can comment on or make changes to this bug.